Subject: bug#3454: <SPC> when reading the emacs manual sometimes goes to the wrong node

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Jun 2009 14:37:05 -0400

>> Actually I think that SPC's behavior in index nodes is wrong.
>> Basically, SPC currently presumes that info nodes linked by menus form
>> a tree, and it is mostly true, but not for index menus.

> Index is just a large menu; it's not easy to distinguish the two, and
> the decision would be error-prone.  We already tried to ``improve''
> Info, and I cannot say that the result looks good.

Wether we should fix the behavior is a different question from whether
it's right or wrong.  I think the behaviro is wrong.  I agree that's
it's not terribly important, so unless we can come up with a fix that is
simple and reliable, it's probably better to leave things as they are.

This said, "recent" versions of makeinfo label index nodes with an
"index cookie", so if we see such a cookie, we know for sure we're in an
index node.  That should make it possible to write a good patch.

        Stefan